Skip to main content
GET
/
v5
/
banks
/
integrations
Get integrations
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/banks/integrations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "status": "ACTIVE",
      "apiAccessToken": "access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147",
      "apiName": "STRIPE",
      "id": "<string>",
      "businessId": "1234567",
      "canAcceptPayments": false,
      "merchantId": "pk_test_TYooMQauvdEDq54NiTphI7jx",
      "apiUserId": "acct_1PFwTDkSKQCPcs",
      "resetRequired": false,
      "createdDate": "2023-11-07T05:31:56Z",
      "lastSyncedDate": "2023-11-07T05:31:56Z",
      "lastApiSyncedDate": "2023-11-07T05:31:56Z",
      "lastInstitutionTranDate": "2023-11-07T05:31:56Z",
      "tokenStatus": "SUCCESS",
      "additionalConsentRequired": true,
      "apiInstitutionName": "Citi",
      "apiInstitutionId": "ins_4",
      "apiErrorCode": "ITEM_LOGIN_REQUIRED",
      "apiErrorDisplayMessage": "The user did not grant the necessary permissions for this product on their account.",
      "apiErrorMessage": "the login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information. use Link's update mode to restore the item to a good state",
      "apiErrorType": "ITEM_ERROR",
      "glAccountId": "1234567",
      "apiIntegrationId": "1234567",
      "historicalReady": true,
      "initialReady": true
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

status
enum<string>[]

Status filter - returns all integrations for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE
apiName
enum<string>[]

Api filter - returns all integrations for the specified APIs. If null or empty, returns all records.

Available options:
PLAID,
GUSTO,
STRIPE,
RUTTER,
UNIT

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate